Bug 1189041 - Crash in Digest::SHA if a method is invoked on an uninitialized object
Summary: Crash in Digest::SHA if a method is invoked on an uninitialized object
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: perl-maint-list
QA Contact: Martin Kyral
URL: http://nntp.perl.org/group/perl.perl5...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-04 10:13 UTC by Martin Kyral
Modified: 2015-07-22 05:59 UTC (History)
6 users (show)

Fixed In Version: perl-5.10.1-140.el6
Doc Type: Bug Fix
Doc Text:
Previously, when the SHA::Digest method was called on the corresponding class, Perl terminated unexpectedly with a segmentation fault. An upstream patch has been applied, and calling any SHA::Digest method on a class yields a proper exception instead of Perl crash.
Clone Of: 1075514
Environment:
Last Closed: 2015-07-22 05:59:51 UTC


Attachments (Terms of Use)
Fix ported to perl-5.10.1 (1.52 KB, patch)
2015-02-04 15:05 UTC, Petr Pisar
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1266 normal SHIPPED_LIVE perl bug fix update 2015-07-20 17:49:38 UTC

Comment 2 Petr Pisar 2015-02-04 13:35:34 UTC
perl-5.10.1-139.el6 is affected.

Comment 3 Petr Pisar 2015-02-04 15:05:03 UTC
Created attachment 988144 [details]
Fix ported to perl-5.10.1

Comment 9 errata-xmlrpc 2015-07-22 05:59:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1266.html


Note You need to log in before you can comment on or make changes to this bug.